PHPExcel_Calculation

# Class: PHPExcel_Calculation_Token_Stack

Source Location: /PHPExcel/Calculation/Token/Stack.php

### Class Overview

PHPExcel

#### Author(s):

#### Version:

- 1.7.8, 2012-10-12

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- count
- last
- pop
- push

### Class Details

[line 29]
PHPExcel

Copyright (c) 2006 - 2012 PHPExcel

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

#### Tags:

version: | 1.7.8, 2012-10-12
copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)
license: | LGPL

[ Top ]

### Class Methods

### constructor __construct [line 70]

`PHPExcel_Calculation_Token_Stack __construct( )`

[ Top ]

### method count [line 35]

`void count( )`

#### Tags:

access: | public

[ Top ]

### method last [line 62]

`void last( [ $n = 1])`

#### Tags:

access: | public

#### Parameters:

| $n |

[ Top ]

### method pop [line 54]

`void pop( )`

#### Tags:

access: | public

[ Top ]

### method push [line 40]

`void push( $type, $value, [ $reference = null])`

#### Tags:

access: | public

#### Parameters:

| $type |
| $value |
| $reference |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:48 +0200 by phpDocumentor 1.4.4